EasyTimeline doesn't work on private wikis
Closed, ResolvedPublic

Description

The Ombudsman have asked to be able to use EasyTimeline on their private wiki (db ombudsmenwiki ). While the extension is installed they are getting an error with the image being made 'Access Denied. You are not allowed to execute the action you have requested.'. My guess looking through the extension installation info is that , given the local file saving system for private wikis, it just doesn't have a folder to save into which it can write to. There may be a couple other pieces I'm missing though.


Version: wmf-deployment
Severity: minor

bzimport set Reference to bz51136.
Jalexander created this task.Via LegacyJul 10 2013, 8:33 PM
Reedy added a comment.Via ConduitSep 2 2013, 4:01 PM

reedy@tin:/a/common$ mwscript extensions/WikimediaMaintenance/filebackend/setZoneAccess.php ombudsmenwiki --backend=local-multiwrite --private
Making sure mwstore://local-multiwrite/local-public exists...making 'public' private...done.
Making sure mwstore://local-multiwrite/local-thumb exists...making 'thumb' private...done.
Making sure mwstore://local-multiwrite/local-transcoded exists...making 'transcoded' private...done.
Making sure mwstore://local-multiwrite/local-temp exists...making 'temp' private...done.
Making sure mwstore://local-multiwrite/local-deleted exists...making 'deleted' private...done.
reedy@tin:/a/common$

Can someone try again?

tomasz added a comment.Via ConduitOct 6 2013, 3:36 PM

I'm CC-ing Sydney (FloNight) to this bug; @Sydney, can you please check whether this extensions works on ombudsmenwiki and if it does, close this bug & let us know? Thanks :-)

tomasz added a comment.Via ConduitOct 6 2013, 3:38 PM

[Also CC'ing Huji with the same request :)]

Huji added a comment.Via ConduitOct 6 2013, 5:22 PM

Negative. When I open the image in a new tab, here is what I see:

Access denied

You are not allowed to execute the action you have requested.

Reedy added a comment.Via ConduitNov 13 2013, 3:36 PM

Just tested on officewiki and it's the same, so I guess it's something with private wikis

https://office.wikimedia.org/w/img_auth.php/timeline/92b6b06b956228bc173a1513808c91da.png

Reedy added a comment.Via ConduitNov 13 2013, 3:57 PM

File "mwstore://local-multiwrite/local-public/timeline/92b6b06b956228bc173a1513808c91da.png" does not exist.

gerritbot added a comment.Via ConduitNov 14 2013, 1:22 AM

Change 95304 had a related patch set uploaded by Aaron Schulz:
Added support to img_auth.php for non-repo containers

https://gerrit.wikimedia.org/r/95304

gerritbot added a comment.Via ConduitDec 4 2013, 1:01 AM

Change 95304 merged by jenkins-bot:
Added support to img_auth.php for non-repo containers

https://gerrit.wikimedia.org/r/95304

gerritbot added a comment.Via ConduitDec 12 2013, 9:28 PM

Change 101105 had a related patch set uploaded by Aaron Schulz:
EasyTimeline support for private wikis via img_auth

https://gerrit.wikimedia.org/r/101105

gerritbot added a comment.Via ConduitDec 17 2013, 4:52 AM

Change 101105 merged by Tim Starling:
EasyTimeline support for private wikis via img_auth

https://gerrit.wikimedia.org/r/101105

tstarling added a comment.Via ConduitDec 17 2013, 4:54 AM

Fix deployed, confirmed on officewiki.

Add Comment